couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From d..@apache.org
Subject git commit: Retrain check_docs.sh to look at changelog.rst
Date Fri, 26 Jul 2013 16:43:44 GMT
Updated Branches:
  refs/heads/master c1038add5 -> 7ad4e6528


Retrain check_docs.sh to look at changelog.rst


Project: http://git-wip-us.apache.org/repos/asf/couchdb-admin/repo
Commit: http://git-wip-us.apache.org/repos/asf/couchdb-admin/commit/7ad4e652
Tree: http://git-wip-us.apache.org/repos/asf/couchdb-admin/tree/7ad4e652
Diff: http://git-wip-us.apache.org/repos/asf/couchdb-admin/diff/7ad4e652

Branch: refs/heads/master
Commit: 7ad4e6528936e2690c1be9c5bf044db234b26068
Parents: c1038ad
Author: Dirkjan Ochtman <dirkjan@ochtman.nl>
Authored: Fri Jul 26 18:43:33 2013 +0200
Committer: Dirkjan Ochtman <dirkjan@ochtman.nl>
Committed: Fri Jul 26 18:43:33 2013 +0200

----------------------------------------------------------------------
 release/check_docs.sh | 26 ++++++--------------------
 1 file changed, 6 insertions(+), 20 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/couchdb-admin/blob/7ad4e652/release/check_docs.sh
----------------------------------------------------------------------
diff --git a/release/check_docs.sh b/release/check_docs.sh
index b3e1bfa..c59459a 100755
--- a/release/check_docs.sh
+++ b/release/check_docs.sh
@@ -59,8 +59,7 @@ for branch in $branches; do
     version=`echo $branch | sed 's,origin/,,'`
     dir=$tmp_dir/branch/$version
     mkdir -p $dir
-    git cat-file blob $branch:NEWS > $dir/NEWS
-    git cat-file blob $branch:CHANGES > $dir/CHANGES
+    git cat-file blob $branch:share/doc/src/changelog.rst > $dir/changelog.rst
 done
 
 python > $tmp_dir/versions.txt << EOF
@@ -82,37 +81,24 @@ for version in versions:
     print version
 EOF
 
-log "Checking CVEs in NEWS..."
+log "Checking CVEs in changelog.rst..."
 
 cat $tmp_dir/cve_list.txt | while read cve; do
-    exists=`grep -r $cve $tmp_dir/branch/*/NEWS || true`
-    if test ! -n "$exists"; then
-        echo $cve "(missing)"
-    fi
-done
-
-log "Checking CVEs in CHANGES..."
-
-cat $tmp_dir/cve_list.txt | while read cve; do
-    exists=`grep -r $cve $tmp_dir/branch/*/CHANGES || true`
+    exists=`grep -r $cve $tmp_dir/branch/*/changelog.rst || true`
     if test ! -n "$exists"; then
         echo $cve "(missing)"
     fi
 done
 
 function compare () {
-    log "Comparing NEWS, $1 to $2..."
-    diff $tmp_dir/branch/$1/NEWS $tmp_dir/branch/$2/NEWS | \
-        grep -E "^< [^#]" || true
-    log "Comparing CHANGES, $1 to $2..."
-    diff $tmp_dir/branch/$1/CHANGES $tmp_dir/branch/$2/CHANGES | \
+    log "Comparing changelog.rst, $1 to $2..."
+    diff $tmp_dir/branch/$1/changelog.rst $tmp_dir/branch/$2/changelog.rst | \
         grep -E "^< [^#]" || true
 }
 
 function scan () {
     log "Scanning $1..."
-    grep "released" $tmp_dir/branch/$1/NEWS || true
-    grep "released" $tmp_dir/branch/$1/CHANGES || true
+    grep "released" $tmp_dir/branch/$1/changelog.rst || true
 }
 
 versions=`cat $tmp_dir/versions.txt`


Mime
View raw message